From 81b51025c6c5f5205d2af3569c2cc8f0c2fd7c1b Mon Sep 17 00:00:00 2001
From: Dirk Mueller <dmueller@suse.com>
Date: Mon, 9 Mar 2015 18:15:05 +0100
Subject: [PATCH 2/2] ARM64: Use 64k zero page protection like on other arches

For cross-architecture compatibility, use the 64k MMAP min
addr. The old value was nonsensical anyway since we switched to 64k
page size, which means this change is effectively a NOOP in the 64k
Pagesize flavor.
---
 config/arm64/default | 2 +-
 config/arm64/vanilla | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/config/arm64/default b/config/arm64/default
index 09d1a30..4d3eb9f 100644
--- a/config/arm64/default
+++ b/config/arm64/default
@@ -420,7 +420,7 @@ CONFIG_ZONE_DMA_FLAG=1
 CONFIG_BOUNCE=y
 CONFIG_MMU_NOTIFIER=y
 CONFIG_KSM=y
-CONFIG_DEFAULT_MMAP_MIN_ADDR=4096
+CONFIG_DEFAULT_MMAP_MIN_ADDR=65536
 CONFIG_TRANSPARENT_HUGEPAGE=y
 # CONFIG_TRANSPARENT_HUGEPAGE_ALWAYS is not set
 CONFIG_TRANSPARENT_HUGEPAGE_MADVISE=y
diff --git a/config/arm64/vanilla b/config/arm64/vanilla
index 0d94c69..5ae0615 100644
--- a/config/arm64/vanilla
+++ b/config/arm64/vanilla
@@ -403,7 +403,7 @@ CONFIG_ZONE_DMA_FLAG=1
 CONFIG_BOUNCE=y
 CONFIG_MMU_NOTIFIER=y
 CONFIG_KSM=y
-CONFIG_DEFAULT_MMAP_MIN_ADDR=4096
+CONFIG_DEFAULT_MMAP_MIN_ADDR=65536
 CONFIG_TRANSPARENT_HUGEPAGE=y
 # CONFIG_TRANSPARENT_HUGEPAGE_ALWAYS is not set
 CONFIG_TRANSPARENT_HUGEPAGE_MADVISE=y
-- 
2.0.4

